# Function makeGatewayTransferMsg

- makeGatewayTransferMsg<CN>(chain, recipient, fee, nonce, payload?): GatewayTransferWithPayloadMsg | GatewayTransferMsg

- #### Type Parameters

  - #### CN extends "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky"

  #### Parameters

  - ##### chain: CN

  - ##### recipient: string | NativeAddress<CN>

  - ##### fee: bigint

  - ##### nonce: number

  - ##### `Optional` payload: string

  #### Returns GatewayTransferWithPayloadMsg | GatewayTransferMsg

  - Defined in core/definitions/dist/esm/protocols/ibc.d.ts:38

Generated using TypeDoc